Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1060756 - [abrt] planner: gtk_tree_model_get_valist(): planner killed by SIGSEGV
Summary: [abrt] planner: gtk_tree_model_get_valist(): planner killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: planner
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8900073e477f54a9647c4af7601...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-03 14:29 UTC by Bengt Giger
Modified: 2014-02-28 12:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-28 12:13:08 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-03 14:29 UTC, Bengt Giger
no flags Details
File: cgroup (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: core_backtrace (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: dso_list (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: environ (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: exploitable (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: limits (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: maps (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: open_fds (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: proc_pid_status (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details
File: var_log_messages (deleted)
2014-02-03 14:30 UTC, Bengt Giger
no flags Details

Description Bengt Giger 2014-02-03 14:29:54 UTC
Description of problem:
Opened print dialog, destination "Print to File". Name input is empty, "Save in Folder" says "(None)". When I try to select something from the dropdown to choose a destination, planner crashes. Doesn't matter what I selected.

Could correct it by editing .config/planner/planner-print-config. The output-uri was empty, added something like file://Documents/output.pdf, now output folders are selectable without crashes.

Version-Release number of selected component:
planner-0.14.6-13.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
crash_function: gtk_tree_model_get_valist
executable:     /usr/bin/planner
kernel:         3.12.9-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_get_valist at gtktreemodel.c:1470
 #1 gtk_tree_model_get at gtktreemodel.c:1432
 #2 combo_box_row_separator_func at gtkfilechooserbutton.c:2365
 #3 tree_column_row_is_sensitive at gtkcombobox.c:1904
 #4 gtk_combo_box_list_button_released at gtkcombobox.c:4160
 #5 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #10 gtk_widget_event_internal at gtkwidget.c:5017
 #11 gtk_widget_event at gtkwidget.c:4814
 #12 gtk_propagate_event at gtkmain.c:2490
 #13 gtk_main_do_event at gtkmain.c:1685

Comment 1 Bengt Giger 2014-02-03 14:29:59 UTC
Created attachment 858620 [details]
File: backtrace

Comment 2 Bengt Giger 2014-02-03 14:30:02 UTC
Created attachment 858621 [details]
File: cgroup

Comment 3 Bengt Giger 2014-02-03 14:30:05 UTC
Created attachment 858622 [details]
File: core_backtrace

Comment 4 Bengt Giger 2014-02-03 14:30:07 UTC
Created attachment 858623 [details]
File: dso_list

Comment 5 Bengt Giger 2014-02-03 14:30:09 UTC
Created attachment 858624 [details]
File: environ

Comment 6 Bengt Giger 2014-02-03 14:30:14 UTC
Created attachment 858625 [details]
File: exploitable

Comment 7 Bengt Giger 2014-02-03 14:30:16 UTC
Created attachment 858626 [details]
File: limits

Comment 8 Bengt Giger 2014-02-03 14:30:19 UTC
Created attachment 858627 [details]
File: maps

Comment 9 Bengt Giger 2014-02-03 14:30:21 UTC
Created attachment 858628 [details]
File: open_fds

Comment 10 Bengt Giger 2014-02-03 14:30:23 UTC
Created attachment 858629 [details]
File: proc_pid_status

Comment 11 Bengt Giger 2014-02-03 14:30:25 UTC
Created attachment 858630 [details]
File: var_log_messages

Comment 12 Caolan McNamara 2014-02-06 12:59:30 UTC
hmm, I can't seem to reproduce this by editing my ~/config/planner/planner-print-config and modifying the line to a bare...
output-url=

was that what you had a line of just...
output-url=
?

Comment 13 Bengt Giger 2014-02-06 15:05:14 UTC
Hi Caolan

I just checked on a different machine: no problem there. I also copied my planner-print-config to the second machine, because it contained more settings: still no problem. It must be a particular reason on my system.

One difference I noticed when I launched planner in a terminal:

planner:3637): Gtk-CRITICAL **: gtk_tree_model_filter_get_value: assertion 'GTK_TREE_MODEL_FILTER (model)->priv->stamp == iter->stamp' failed

(planner:3637): GLib-GObject-WARNING **: gtype.c:4215: type id '0' is invalid

(planner:3637): GLib-GObject-WARNING **: can't peek value table for type '<invalid>' which is not currently referenced
Segmentation fault (core dumped)

I can see one other difference between the two machines: the machine where planner crashes has a unusual mount:

javafs         6291456   4526321   1765136  72% /home/bgiger/WualaDrive

Could there be a problem when planner (or the printer dialog) tries to get some metadata from the filesystem but does not get what it expects? 

I can reproduce the crash whatever I select from the "Save in folder" dropdown. Except when I cancel by clicking somewhere else, then there is no crash.

Regards

Comment 14 Caolan McNamara 2014-02-06 17:26:45 UTC
Very plausible that its related to the mount. I'm unfamiliar with javafs in order to quickly mount something over it to test. Is there a quick howto install and use that somewhere ?

Comment 15 Bengt Giger 2014-02-07 10:43:16 UTC
Yes, the software creating the mount is called Wuala. A cross platform cloud storage similar to Dropbox, but with complete client side encryption (never lose the password, nobody can restore it) and deliberate sync folders, backups, time travel and more (hope this was not too much advertising). They provide repositories here (note the fuse group requirement)

https://www.wuala.com/en/download/linux

To register you have to follow the instructions here 

https://support.wuala.com/knowledgebase/creating-an-account/

or use this link which earns me a 1GB extra for one year; but don't feel obligated to use this link

https://www.wuala.com/en/referral/7A45MKJ3P4F7F53FAPJH

Regards
Bengt

Comment 16 Caolan McNamara 2014-02-07 16:03:12 UTC
doesn't reproduce for me with that installed and active either so I'm out of ideas on this one


Note You need to log in before you can comment on or make changes to this bug.